
/*
	File:		StdCompressionGlue.c

	Contains:	Glue for registering Standard Compression Dialog component.

	Written by:	Sean Callahan

	Copyright:	 1990-1991 by Apple Computer, Inc., all rights reserved.

 	
 */


#include <resources.h>
#include "components.h"


pascal ComponentInstance OpenStdCompression(void);
pascal ComponentInstance OpenStdCompression(void)
{
	ComponentInstance ci = OpenDefaultComponent('scdi','imag');
	if (!ci) {
		ComponentResourceHandle h = (ComponentResourceHandle)GetResource('thng',32000);
		if (h) {
			ci = (ComponentInstance)RegisterComponentResource(h,0);
			if (ci)
				ci = OpenComponent((Component)ci);
		}
	}
	return (ci);
}


